Subject: Re: [karp] draft-ietf-karp-design-guide-00.txt

From: mark Brown <[email-masked]>
Date: Sun, 28 Feb 2010 06:07:31 +0530

Manav,

This draft makes a reference to "[I-D.ietf-karp-threats-req]" in a
couple of places:

[I-D.ietf-karp-threats-req] Lebovitz, G., "KARP Threats and
Requirements", Work in Progress, February 2010.

I tried searching for this draft and couldnt find it in the IETF
repository. Is a correct reference given?

I could also not find [I-D.ietf-karp-framework] referred in the section 4.1

http://www.ietf.org/dyn/wg/charter/karp-charter.html also lists only
this particular draft. Am i missing something?

Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Bhatia, Manav (Manav)
> Sent: Saturday, February 27, 2010 9.19 AM
> To: [email-masked]
> Subject: [karp] draft-ietf-karp-design-guide-00.txt
>
> For some inexplicable reason this mail never reached the KARP list ..
>
> The first version of the design guide has been announced!
>
> ---- Forwarded Message ----
> From: "[email-masked]" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Sent: Fri, February 26, 2010 10:30:01 PM
> Subject: I-D ACTION:draft-ietf-karp-design-guide-00.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Keying and Authentication
> for Routing Protocols Working Group of the IETF.
>
>     Title       : Keying and Authentication for Routing
> Protocols (KARP) Design Guidelines
>     Author(s)   : G. Lebovitz, M. Bhatia
>     Filename    : draft-ietf-karp-design-guide-00.txt
>     Pages       : 25
>     Date        : 2010-2-25
>
> In the March of 2006 the IAB held a workshop on the topic of
> "Unwanted
> Internet Traffic".  The report from that workshop is
> documented in RFC
> 4948 [RFC4948]. Section 8.2 of RFC 4948 calls for [t]ightening the
> security of the core routing infrastructure."  Four main steps were
> identified for improving the security of the routing infrastructure.
> One of those steps was "securing the routing protocols'
> packets on the
> wire."  One mechanism for securing routing protocol packets
> on the wire
> is the use of per-packet cryptographic message authentication,
> providing both peer authentication and message integrity.  Many
> different routing protocols exist and they employ a range of
> different
> transport subsystems.  Therefore there must necessarily be various
> methods defined for applying cryptographic authentication to these
> varying protocols.  Many routing protocols already have some
> method for
> accomplishing cryptographic message authentication.  However, in many
> cases the existing methods are dated, vulnerable to attack, and/or
> employ cryptographic algorithms that have been deprecated.  This
> document is one of a series concerned with defining a roadmap of
> protocol specification work for the use of modern cryptographic
> mechanisms and algorithms for message authentication in routing
> protocols.  In particular, it defines the framework for a key
> management protocol that may be used to create and manage
> session keys
> for message authentication and integrity.  The overall
> roadmap reflects
> the input of both the security area and routing area in order
> to form a
> jointly agreed upon and prioritized work list for the effort.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-karp-design-gui
> de-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
> --
> Manav Bhatia,
> IP Division, Alcatel-Lucent,
> Bangalore - India
>
>
> _______________________________________________
> karp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/karp
>

---

From: "Bhatia, Manav (Manav)" <[email-masked]>
Date: Sun, 28 Feb 2010 07:54:51 +0530

Mark,

We were working on these three documents (design guide, threats and requirements and framework) in parallel and you should see the other two uploaded very soon!

Thanks, Manav

> From: mark Brown [mailto:[email-masked]] 
> Sent: Sunday, February 28, 2010 6.08 AM
> To: Bhatia, Manav (Manav)
> Cc: [email-masked]
> Subject: RE: [karp] draft-ietf-karp-design-guide-00.txt
> 
> Manav,
>

---

From: Gregory Lebovitz <[email-masked]>
Date: Sat, 27 Feb 2010 23:08:41 -0800

I'm on lead for threats-reqs. It's in process, and will arrive by end of
weekend, barring any unforeseen issues (like kids barfing and such ;-)

Gregory (dad of 3 little ones)

On Sat, Feb 27, 2010 at 6:24 PM, Bhatia, Manav (Manav) <
[email-masked]> wrote:

> Mark,
>
> We were working on these three documents (design guide, threats and
> requirements and framework) in parallel and you should see the other two
> uploaded very soon!
>
> Thanks, Manav
>

-- 
----
IETF related email from
Gregory M. Lebovitz
Juniper Networks